Subject: CANCEL and Record-Route; was: RE: [SIP] Re: My comments on bis-02

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 5 Dec 2000 13:11:51 -0500

> -----Original Message-----
> From: Igor Slepchin [mailto:[email-masked]]
> Sent: Friday, December 01, 2000 3:32 PM
> To: 'Billy Biggs'; Henning G. Schulzrinne
> Cc: SIP List
> Subject: RE: [SIP] Re: My comments on bis-02
> 
> 
> > > > 2. In 4.2.5, it is noted that CANCEL requests cannot have Route
> > > >    headers.  Why not?  Are you assuming that CANCEL is 
> only useful
> > > >    for an initial request?  This breaks since we need to 
> > be able to
> > > >    CANCEL a pending REFER or other extension method 
> which doesn't
> > > >    complete quickly, for example.
> > > 
> > > Removed.
> > 
> >   I think I was wrong on this one.  CANCEL is of hop-by-hop 
> > significance
> > within a transaction and doesn't use the Route.  Stateful proxies
> > instead remember and the UA sends the CANCEL just to the 
> > first entry in
> > the Route.
> 
> A proxy might be stateless and still record-route. Route 
> actually does make
> sense in a CANCEL in this scenario.

I think this is far more complex than it first seems.

CANCELs are hop by hop. So, lets say we have UAs A and B, and proxies P1,
P2, and P3. P2 is stateless:

A ---- P1 ----- P2 ------ P3 ------ B

now, if we allow record-routing for CANCEL, that record-routing would only
be for the CANCEL initiated by P1, proxied by P2 (which inserts RR), and
terminated by P3. So, its P1 that needs to insert Route into CANCEL. Where
does this route come from? From the RR in the final response to INVITE? If
the request has been responded to already, CANCEL is meaningless anyway.
Assuming we used that RR anyway, what portions of it are needed? The whole
thing? Just the piece starting at P2? How does P1 even know whether P2
record-routed?

Adding RR to CANCEL seems a big, big departure from what we have been doing
until now. I'd much rather not do this.

-Jonathan R.

---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip